#!/usr/bin/perl

@index = <>;

# >> A <<

$primitives = '{above@|' . '{abovedisplayshortskip@|' .
    '{abovedisplayskip@|' . '{accent@|' .  '{adjdemerits@|' .
    '{advance@|' .  '{afterassignment@|' . '{aftergroup@|' .
    '{atop@|' . '{atopwithdelims@' ;

@index = grep( !/$primitives/, @index);

# >> B <<

$primitives = '{badness@|' . '{baselineskip@|' . '{batchmode@|' .
    '{begingroup@|' . '{belowdisplayshortskip@|' . '{belowdisplayskip@|' .
    '{binoppenalty@|' . '{botmark@|' . '{box@|' . '{boxmaxdepth@|' .
    '{brokenpenalty@' ;

@index = grep( !/$primitives/, @index);

# >> C <<

$primitives = '{catcode@|' . '{char@|' . '{chardef@|' . '{cleaders@|' .
    '{closein@|' . '{closeout@|' . '{clubpenalty@|' . '{copy@|' .
    '{count@|' . '{countdef@|' . '{cr@|' . '{crcr@|' .
    '{csname@' ;

@index = grep( !/$primitives/, @index);

# >> D <<

$primitives = '{day@|' . '{deadcycles@|' . '{def@|' .
    '{defaulthyphenchar@|' . '{defaultskewchar@|' .
    '{delcode@|' . '{delimiter@|' . '{delimiterfactor@|' .
    '{delimitershortfall@|' . '{dimen@|' . '{dimendef@|' .
    '{discretionary@|' . '{displayindent@|' . '{displaylimits@|' .
    '{displaystyle@|' . '{displaywidowpenalty@|' . '{displaywidth@|' .
    '{divide@|' . '{doublehyphendemerits@|' . '{dp@|' .
    '{dump@' ;

@index = grep( !/$primitives/, @index);

# >> E <<

$primitives = '{edef@|' . '{else@|' . '{emergencystretch@|' .
   '{end@|' . '{endcsname@|' . '{endgroup@|' . '{endinput@|' .
   '{endlinechar@|' . '{eqno@|' . '{errhelp@|' . '{errmessage@|' .
   '{errorcontextlines@|' . '{errorstopmode@|' .
   '{escapechar@|' . '{everycr@|' . '{everydisplay@|' .
   '{everyhbox@|' . '{everyjob@|' . '{everymath@|' . '{everypar@|' .
   '{everyvbox@|' . '{exhyphenpenalty@|' . '{expandafter@' ;

@index = grep( !/$primitives/, @index);

# >> F--G <<

$primitives = '{fam@|' . '{fi@|' . '{finalhyphendemerits@|' .
   '{firstmark@|' . '{floatingpenalty@|' . '{font@|' .
   '{fontdimen@|' . '{fontname@|' . '{futurelet@|' .
   '{gdef@|' . '{global@|' . '{globaldefs@' ;

@index = grep( !/$primitives/, @index);

# >> H <<

$primitives = '{halign@|' . '{hangafter@|' . '{hangindent@|' .
   '{hbadness@|' . '{hbox@|' . '{hfil@|' . '{hfill@|' .
   '{hfuzz@|' . '{hoffset@|' . '{holdinginserts@|' . '{hrule@|' .
   '{hsize@|' . '{hskip@|' . '{hss@|' . '{ht@|' . '{hyphenation@|' .
   '{hyphenchar@|' . '{hyphenpenalty@' ;

@index = grep( !/$primitives/, @index);

# >> I--K <<

$primitives = '{if@|' . '{ifcase@|' . '{ifcat@|' . '{ifdim@|' .
  '{ifeof@|' . '{ifffalse@|' . '{ifhbox@|' . '{ifhmode@|' .
  '{ifinner@|' . '{ifmmode@|' . '{ifnum@|' . '{ifodd@|' .
  '{iftrue@|' . '{ifvbox@|' . '{iifvmode@|' . '{ifvoid@|' . '{ifx@|' .
  '{ignorespaces@|' .
  '{immediate@|' . '{indent@|' . '{input@|' . '{inputlineno@|' .
  '{insert@|' . '{insertpenalties@|' . '{interlinepenalty@|' .
  '{jobname@|' .
  '{kern@' ;

@index = grep( !/$primitives/, @index);

# >> L--M <<

$primitives = '{language@|' . '{lastbox@|' . '{lastkern@|' .
   '{lastpenalty@|' . '{lastskip@|' . '{lccode@|' . '{leaders@|' .
   '{left@|' . '{lefthyphenmin@|' . '{leftskip@|' . '{leqno@|' . '{let@|' .
   '{limits@|' . '{linepenalty@|' . '{lineskip@|' . '{lineskiplimit@|' .
   '{long@|' . '{looseness@|' . '{lower@|' . '{lowercase@|' .
   '{mag@|' . '{mark@|' . '{mathaccent@|' . '{mathbin@|' .
   '{mathchar@|' . '{mathchardef@|' . '{mathchoice@|' .
   '{mathclose@|' . '{mathcode@|' . '{mathinner@|' . '{mathop@|' .
   '{mathopen@|' . '{mathord@|' . '{mathpunct@|' . '{mathrel@|' .
   '{mathsurround@|' . '{maxdeadcycles@|' . '{maxdepth@|' .
   '{meaning@|' . '{medmuskip@|' . '{message@|' . '{mkern@|' .
   '{month@|' . '{moveleft@|' . '{moveright@|' . '{mskip@|' .
   '{multiply@|' . '{muskip@|' . '{muskipdef@' ;

@index = grep( !/$primitives/, @index);

# >> N--P <<

$primitives = '{newlinechar@|' . '{noalign@|' . '{noboundary@|' .
   '{noexpand@|' . '{noindent@|' . '{nolimits@|' . '{nonscript@|' .
   '{nonstopmode@|' .
   '{nulldelimiterspace@|' . '{nullfont@|' . '{number@|' .
   '{omit@|' . '{openin@|' . '{openout@|' . '{or@|' . '{outer@|' .
   '{output@|' . '{outputpenalty@|' . '{over@|' . '{overfullrule@|' .
   '{overline@|' . '{overwithdelims@|' .
   '{pagedepth@|' . '{pagefilllstretch@|' . '{pagefillstretch@|' .
   '{pagefilstretch@|' . '{pagegoal@|' . '{pageshrink@|' .
   '{pagestretch@|' . '{pagetotal@|' . '{par@|' . '{parparfillskip@|' .
   '{parindent@|' . '{parshape@|' . '{parskip@|' . '{patterns@|' .
   '{pausing@|' . '{penalty@|' . '{postdisplaypenalty@|' .
   '{predisplaypenalty@|' . '{predisplaysize@|' . '{pretolerance@|' .
   '{prevdepth@|' . '{prevgraf@' ;

@index = grep( !/$primitives/, @index);

# >> R--S <<

$primitives = '{radical@|' . '{raise@|' . '{read@|' . '{relax@|' .
   '{relpenalty@|' . '{right@|' . '{righthyphenmin@|' .
   '{rightskip@|' . '{romannumeral@|' . '{scriptfont@|' .
   '{scriptscriptfont@|' . '{scriptscriptstyle@|' .
   '{scriptspace@|' . '{scriptstyle@|' . '{scrollmode@|' .
   '{setbox@|' . '{setlanguage@|' . '{sfcode@|' . '{shipout@|' .
   '{show@|' . '{showbox@|' . '{showboxbreadth@|' .
   '{showboxdepth@|' . '{showlists@|' . '{showthe@|' .
   '{skewchar@|' . '{skip@|' . '{skipdef@|' . '{spacefactor@|' .
   '{spaceskip@|' . '{span@|' . '{special@|' . '{splitbotmark@|' .
   '{splitfirstmark@|' . '{splitmaxdepth@|' . '{splittopskip@|' .
   '{string@' ;

@index = grep( !/$primitives/, @index);

# >> T--Z <<

$primitives = '{tabskip@|' . '{textfont@|' . '{textstyle@|' .
   '{the@|' . '{thickmuskip@|' . '{thinmuskip{' . '{time@|' .
   '{toks@|' . '{toksdef@|' . '{tolerance@|' . '{topmark@|' .
   '{topskip@|' . '{tracingcommands@|' . '{tracinglostchars@|' .
   '{tracingmacros@|' . '{tracingonline@|' . '{tracingoutput@|' .
   '{tracingpages@|' . '{tracingparagraphs@|' . '{tracingrestores@|' .
   '{tracingstats@|' .
   '{uccode@|' . '{uchyph@|' . '{underline@|' . '{unhbox@|' .
   '{unhcopy@|' . '{unkern@|' . '{unpenalty@|' . '{unskip@|' .
   '{unvbox@|' . '{unvcopy@|' . '{uppercase@|' .
   '{vadjust@|' . '{valign@|' . '{vbadness@|' . '{vbox@|' . '{vcenter@|' .
   '{vfil@|' . '{vfill@|' . '{vfilneg@|' . '{vfuzz@|' .
   '{voffset@|' . '{vrule@|' . '{vsize@|' . '{vskip@|' .
   '{vsplit@|' . '{vss@|' . '{vtop@|' .
   '{wd@|' . '{widowpenalty@|' . '{write@|' .
   '{xdef@|' . '{xleaders@|' . '{xspaceskip@|' .
   '{year@';

@index = grep( !/$primitives/, @index);

print " @index\n";



